<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZExpansion: DayzExpansion/Groups/Scripts/4_world/dayzexpansion_groups/classes/useractionscomponent/actions/continuous/actioninvitetogroup.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZExpansion<span id="projectnumber">&#160;1.7.17</span>
   </div>
   <div id="projectbrief">DayZExpansion Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('df/d68/a01385_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">actioninvitetogroup.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../df/d68/a01385.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="comment">/**</span></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span><span class="comment"> * ActionInviteToGroup.c</span></div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span><span class="comment"> *</span></div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span><span class="comment"> * DayZ Expansion Mod</span></div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span><span class="comment"> * www.dayzexpansion.com</span></div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span><span class="comment"> * © 2022 DayZ Expansion Mod Team</span></div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span><span class="comment"> *</span></div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span><span class="comment"> * This work is licensed under the Creative Commons Attribution-NonCommercial-NoDerivatives 4.0 International License. </span></div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span><span class="comment"> * To view a copy of this license, visit http://creativecommons.org/licenses/by-nc-nd/4.0/.</span></div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span><span class="comment"> *</span></div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span><span class="comment">*/</span></div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span> </div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno"><a class="line" href="../../d8/dfd/a05310.html">   13</a></span><span class="keyword">class </span><a class="code hl_class" href="../../d8/dfd/a05310.html">ActionInviteToGroup</a>: ActionInteractBase</div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>{</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno"><a class="line" href="../../d8/dfd/a05310.html#aa3ee8e6ab54f1e2cd8f63001ab41a3d8">   15</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d8/dfd/a05310.html#aa3ee8e6ab54f1e2cd8f63001ab41a3d8">ActionInviteToGroup</a>()</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span>    {</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>        m_CommandUID = DayZPlayerConstants.CMD_ACTIONMOD_INTERACTONCE;</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>        m_StanceMask = DayZPlayerConstants.STANCEMASK_ERECT | DayZPlayerConstants.STANCEMASK_CROUCH;</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>        <a class="code hl_variable" href="../../df/df7/a00731.html#a0c7e8a2d151c2e6caa53bbfd4af52de2">m_Text</a> = <span class="stringliteral">&quot;#STR_EXPANSION_PARTY_INVITE_PLAYER&quot;</span>;</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span>    }</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span> </div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno"><a class="line" href="../../d8/dfd/a05310.html#a239ca73d6d8e1b9b9af61a7aa8475cbd">   22</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d8/dfd/a05310.html#a239ca73d6d8e1b9b9af61a7aa8475cbd">CreateConditionComponents</a>()  </div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>    {</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>        m_ConditionTarget = <span class="keyword">new</span> CCTMan(UAMaxDistances.DEFAULT);</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>        m_ConditionItem = <span class="keyword">new</span> CCINone;</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>    }</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span> </div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno"><a class="line" href="../../d8/dfd/a05310.html#ac0adc85e4a86d849a6892770cea46cdd">   28</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d8/dfd/a05310.html#ac0adc85e4a86d849a6892770cea46cdd">ActionCondition</a>( <a class="code hl_class" href="../../df/de5/a03966.html">PlayerBase</a> player, <a class="code hl_class" href="../../d1/de3/a04854.html">ActionTarget</a> target, <a class="code hl_class" href="../../d7/d82/a03774.html">ItemBase</a> item )</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>    {</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>        <a class="code hl_class" href="../../df/de5/a03966.html">PlayerBase</a> targetPlayer = <a class="code hl_class" href="../../df/de5/a03966.html">PlayerBase</a>.Cast(target.<a class="code hl_function" href="../../d1/de3/a04854.html#a1c5162ed30e842ad5b561579a40e7507">GetParentOrObject</a>());</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>        </div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>        <span class="keywordflow">if</span> (!targetPlayer || !targetPlayer.IsAlive())</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>            <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span> </div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span><span class="preprocessor">    #ifdef ENFUSION_AI_PROJECT</span></div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>        <span class="keywordflow">if</span> (targetPlayer.IsAI())</div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>            <span class="keywordflow">return</span> <span class="keyword">false</span>;  <span class="comment">//! TODO: Maybe integrate with AI group system?</span></div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span><span class="preprocessor">    #endif</span></div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>        </div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span><span class="preprocessor">    #ifdef EXPANSIONMODMARKET</span></div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span>        <span class="keywordflow">if</span> (targetPlayer.IsInherited(<a class="code hl_class" href="../../d4/d3e/a05874.html">ExpansionTraderNPCBase</a>))</div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>            <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span><span class="preprocessor">    #endif</span></div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>        </div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>        <span class="keywordflow">if</span> (!targetPlayer.GetIdentity())</div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>            <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>        </div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>        <a class="code hl_class" href="../../da/d4d/a05322.html">ExpansionPartyModule</a> partyModule = <a class="code hl_class" href="../../da/d4d/a05322.html">ExpansionPartyModule</a>.Cast(CF_ModuleCoreManager.Get(<a class="code hl_class" href="../../da/d4d/a05322.html">ExpansionPartyModule</a>));</div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span>        </div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span>        <span class="keywordflow">if</span> (GetGame().IsClient())</div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span>            <span class="keywordflow">return</span> partyModule.<a class="code hl_function" href="../../da/d4d/a05322.html#a9527d1ea26e6144ca26faa9f9f785390">GetParty</a>() != null;</div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span> </div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span>        <span class="keywordflow">return</span> partyModule.<a class="code hl_function" href="../../da/d4d/a05322.html#a95efaaf7798d3ceb3a74fd2aebf3235d">HasParty</a>(player) &amp;&amp; !partyModule.<a class="code hl_function" href="../../da/d4d/a05322.html#a95efaaf7798d3ceb3a74fd2aebf3235d">HasParty</a>(targetPlayer);</div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span>    }</div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span>    </div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno"><a class="line" href="../../d8/dfd/a05310.html#a67fce73c9060a8015b06803e098d2b6e">   56</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d8/dfd/a05310.html#a67fce73c9060a8015b06803e098d2b6e">OnExecuteClient</a>( ActionData action_data )</div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span>    {</div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span>        Object target = action_data.m_Target.GetParentOrObject();</div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span>        <a class="code hl_class" href="../../df/de5/a03966.html">PlayerBase</a> targetPlayer = <a class="code hl_class" href="../../df/de5/a03966.html">PlayerBase</a>.Cast(target);</div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span>        <span class="keywordflow">if</span> (targetPlayer)</div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span>        {</div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span>            <a class="code hl_class" href="../../da/d4d/a05322.html">ExpansionPartyModule</a> partyModule = <a class="code hl_class" href="../../da/d4d/a05322.html">ExpansionPartyModule</a>.Cast(CF_ModuleCoreManager.Get(<a class="code hl_class" href="../../da/d4d/a05322.html">ExpansionPartyModule</a>));</div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span>            <span class="keywordtype">string</span> targetUID = targetPlayer.GetIdentity().GetId();</div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno">   64</span>            partyModule.<a class="code hl_function" href="../../da/d4d/a05322.html#a9a69d35a8cf2e358a9fd8c6474e528ec">InvitePlayer</a>(targetUID);</div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno">   65</span>        }</div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno">   66</span>    }</div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno">   67</span>}</div>
<div class="ttc" id="aa00731_html_a0c7e8a2d151c2e6caa53bbfd4af52de2"><div class="ttname"><a href="../../df/df7/a00731.html#a0c7e8a2d151c2e6caa53bbfd4af52de2">m_Text</a></div><div class="ttdeci">protected T m_Text</div><div class="ttdef"><b>Definition:</b> <a href="../../df/df7/a00731_source.html#l00134">expansionnotificationsystem.c:134</a></div></div>
<div class="ttc" id="aa03774_html"><div class="ttname"><a href="../../d7/d82/a03774.html">ItemBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d7f/a00287_source.html#l00001">expansionbaselights.c:2</a></div></div>
<div class="ttc" id="aa03966_html"><div class="ttname"><a href="../../df/de5/a03966.html">PlayerBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d29/a08947_source.html#l00013">playerbase.c:14</a></div></div>
<div class="ttc" id="aa04854_html"><div class="ttname"><a href="../../d1/de3/a04854.html">ActionTarget</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d35/a01184_source.html#l00016">actiontargets.c:17</a></div></div>
<div class="ttc" id="aa04854_html_a1c5162ed30e842ad5b561579a40e7507"><div class="ttname"><a href="../../d1/de3/a04854.html#a1c5162ed30e842ad5b561579a40e7507">ActionTarget::GetParentOrObject</a></div><div class="ttdeci">Object GetParentOrObject()</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d35/a01184_source.html#l00021">actiontargets.c:21</a></div></div>
<div class="ttc" id="aa05310_html"><div class="ttname"><a href="../../d8/dfd/a05310.html">ActionInviteToGroup</a></div><div class="ttdef"><b>Definition:</b> <a href="../../df/d68/a01385_source.html#l00013">actioninvitetogroup.c:14</a></div></div>
<div class="ttc" id="aa05310_html_a239ca73d6d8e1b9b9af61a7aa8475cbd"><div class="ttname"><a href="../../d8/dfd/a05310.html#a239ca73d6d8e1b9b9af61a7aa8475cbd">ActionInviteToGroup::CreateConditionComponents</a></div><div class="ttdeci">override void CreateConditionComponents()</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d68/a01385_source.html#l00022">actioninvitetogroup.c:22</a></div></div>
<div class="ttc" id="aa05310_html_a67fce73c9060a8015b06803e098d2b6e"><div class="ttname"><a href="../../d8/dfd/a05310.html#a67fce73c9060a8015b06803e098d2b6e">ActionInviteToGroup::OnExecuteClient</a></div><div class="ttdeci">override void OnExecuteClient(ActionData action_data)</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d68/a01385_source.html#l00056">actioninvitetogroup.c:56</a></div></div>
<div class="ttc" id="aa05310_html_aa3ee8e6ab54f1e2cd8f63001ab41a3d8"><div class="ttname"><a href="../../d8/dfd/a05310.html#aa3ee8e6ab54f1e2cd8f63001ab41a3d8">ActionInviteToGroup::ActionInviteToGroup</a></div><div class="ttdeci">void ActionInviteToGroup()</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d68/a01385_source.html#l00015">actioninvitetogroup.c:15</a></div></div>
<div class="ttc" id="aa05310_html_ac0adc85e4a86d849a6892770cea46cdd"><div class="ttname"><a href="../../d8/dfd/a05310.html#ac0adc85e4a86d849a6892770cea46cdd">ActionInviteToGroup::ActionCondition</a></div><div class="ttdeci">override bool ActionCondition(PlayerBase player, ActionTarget target, ItemBase item)</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d68/a01385_source.html#l00028">actioninvitetogroup.c:28</a></div></div>
<div class="ttc" id="aa05322_html"><div class="ttname"><a href="../../da/d4d/a05322.html">ExpansionPartyModule</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d1c/a01397_source.html#l00014">expansionpartymodule.c:15</a></div></div>
<div class="ttc" id="aa05322_html_a9527d1ea26e6144ca26faa9f9f785390"><div class="ttname"><a href="../../da/d4d/a05322.html#a9527d1ea26e6144ca26faa9f9f785390">ExpansionPartyModule::GetParty</a></div><div class="ttdeci">ExpansionPartyData GetParty()</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d1c/a01397_source.html#l01367">expansionpartymodule.c:1367</a></div></div>
<div class="ttc" id="aa05322_html_a95efaaf7798d3ceb3a74fd2aebf3235d"><div class="ttname"><a href="../../da/d4d/a05322.html#a95efaaf7798d3ceb3a74fd2aebf3235d">ExpansionPartyModule::HasParty</a></div><div class="ttdeci">bool HasParty()</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d1c/a01397_source.html#l01316">expansionpartymodule.c:1316</a></div></div>
<div class="ttc" id="aa05322_html_a9a69d35a8cf2e358a9fd8c6474e528ec"><div class="ttname"><a href="../../da/d4d/a05322.html#a9a69d35a8cf2e358a9fd8c6474e528ec">ExpansionPartyModule::InvitePlayer</a></div><div class="ttdeci">void InvitePlayer(string sendID)</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d1c/a01397_source.html#l00411">expansionpartymodule.c:411</a></div></div>
<div class="ttc" id="aa05874_html"><div class="ttname"><a href="../../d4/d3e/a05874.html">ExpansionTraderNPCBase</a></div><div class="ttdoc">This class handles trader NPCs.</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d66/a01856_source.html#l00016">expansiontraderbase.c:17</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_6127fff2da0a20e2dc2cd9302c584350.html">DayzExpansion</a></li><li class="navelem"><a class="el" href="../../dir_ff949afafcae8fbf6c7a19a8a5258c33.html">Groups</a></li><li class="navelem"><a class="el" href="../../dir_423eee387034e8a926745b1aa01a969e.html">Scripts</a></li><li class="navelem"><a class="el" href="../../dir_a26e6ac2072fb45b630c9f4a33f5500e.html">4_world</a></li><li class="navelem"><a class="el" href="../../dir_80fb5561508a210b44256c0197be2e6f.html">dayzexpansion_groups</a></li><li class="navelem"><a class="el" href="../../dir_003d046498a08efa38c16da054b6d6c8.html">classes</a></li><li class="navelem"><a class="el" href="../../dir_c31da58505f3bcc1555235750958af82.html">useractionscomponent</a></li><li class="navelem"><a class="el" href="../../dir_43816bca7d4fd3836f17c26344db4b43.html">actions</a></li><li class="navelem"><a class="el" href="../../dir_753ca1ea5da46cf184fdd1318a79f998.html">continuous</a></li><li class="navelem"><a class="el" href="../../df/d68/a01385.html">actioninvitetogroup.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
